Index: apps/app_voicemail.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_voicemail.c,v
retrieving revision 1.233
diff -u -r1.233 app_voicemail.c
--- apps/app_voicemail.c	20 Jul 2005 00:25:54 -0000	1.233
+++ apps/app_voicemail.c	28 Jul 2005 17:07:53 -0000
@@ -316,7 +316,7 @@
 struct ast_vm_user *usersl;
 struct vm_zone *zones = NULL;
 struct vm_zone *zonesl = NULL;
-static struct ast_config *voicemailCfg;
+static struct ast_config *voicemailCfg = NULL;
 static int maxsilence;
 static int maxmsg;
 static int silencethreshold = 128;
@@ -3462,6 +3462,7 @@
 	if (!(origtime = ast_variable_retrieve(msg_cfg, "message", "origtime"))) {
 		ast_log(LOG_WARNING, "No origtime?!\n");
 		DISPOSE(vms->curdir, vms->curmsg);
+		ast_config_destroy(msg_cfg);
 		return 0;
 	}
 
@@ -5476,6 +5477,10 @@
 	int tmpadsi[4];
 
 	cfg = ast_config_load(VOICEMAIL_CONFIG);
+	if (voicemailCfg) {
+		ast_config_destroy(voicemailCfg);
+		voicemailCfg = NULL;
+	}
 	voicemailCfg = cfg;
 	ast_mutex_lock(&vmlock);
 	cur = users;
